> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a list of all users

> Returns a list of all users created in your Embedded account.



## OpenAPI

````yaml get /users
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /users:
    get:
      summary: Retrieve a list of all users
      description: Returns a list of all users created in your Embedded account.
      operationId: list-all-users
      parameters:
        - name: parentWorkflowId
          in: query
          description: >-
            You can pass a parentWorkflowId if you wish to list users for a
            specific workflow.
          schema:
            type: string
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            default: bearer YOUR_API_KEY
        - $ref: '#/components/parameters/xApiVersion'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      - userId: 6323d7c9122ae69742a5d0a2
                        username: gregg
                        fullName: Gregg Mojica
                      - userId: 6323d7cf9ae88f59bf66ce63
                        username: sara
                        fullName: Sara Du
                      - userId: 6323d7e159479ba26d80fcc8
                        fullName: William Jackson
                      - userId: 6323d7f090020baf1091b151
                        username: izzy@gmail.com
                        fullName: Izzy Jackson
                      - userId: 6323d7da4b764bfe02cacaef
                        username: jose@example.com
                        fullName: Jose Santos
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        userId:
                          type: string
                          example: 6323d7c9122ae69742a5d0a2
                        username:
                          type: string
                          example: gregg
                        fullName:
                          type: string
                          example: Gregg Mojica
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value:
                    message: Unauthorized
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Unauthorized
      deprecated: false
      security: []
components:
  parameters:
    xApiVersion:
      name: x-api-version
      in: header
      required: true
      description: The version of the API to use. The current API version is **2025-09**.
      schema:
        type: string
        default: 2025-09

````